#
# spec file for package kreport
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kreport
Version:        2.97.0git.1483401384.e22c39c
Release:        0
Summary:        Framework for creation and generation of reports
License:        GPL-3.0
Group:          Productivity/Office/Other
Url:            https://projects.kde.org/projects/playground/libs/kreport
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  update-desktop-files
BuildRequires:  kproperty-devel
BuildRequires:  git

%description
A framework for creation and generation of reports in multiple formats

%package -n libKReport3-3
Summary:        Report Creation and generation Framework
Requires:       %{name} = %{version}

%description -n libKReport3-3
A report creation and generation framework

%package devel
Summary:        Framework for creation and generation of reports
Requires:       libKReport3-3 = %{version}
Requires:       kproperty-devel

%description devel
Development package for kreport

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build
  
%post -n libKReport3-3 -p /sbin/ldconfig
%postun -n libKReport3-3 -p /sbin/ldconfig

%files -n libKReport3-3
%defattr(-,root,root,-)
%_libdir/libKReport3.so.*

%files
%defattr(-,root,root,-)
%_datadir/kreport3/
%_kf5_servicetypesdir/kreport_elementplugin.desktop
%{_kf5_plugindir}/kreport3/

%files devel
%defattr(-,root,root,-)
%_includedir/KReport3/
%_libdir/cmake/KReport3/
%_libdir/libKReport3.so
%_libdir/pkgconfig/KReport3.pc
%_kf5_mkspecsdir/qt_KReport3.pri

%changelog
